{****************************************************************************
  Program constants
*****************************************************************************}
Const
    FONT_TEXT     =0;
    FONT_H1       =1;
    FONT_H2       =2;
    FONT_H3       =3;
    FONT_H4       =4;
    FONT_H5       =5;
    FONT_H6       =6;
    FONT_H7       =7;
    FONT_ADDRESS  =8;
    FONT_QUOTE    =9;
    FONT_MENU    =10;
    FONT_DIR     =11;
    FONT_PRE     =12;
    FONT_EXAMPLE =13;
    FONT_VAR     =14;
    FONT_KBD     =15;
    FONT_SAMP    =16;
    FONT_TR      =17;
    FONT_HV      =18;
    FONT_TT      =19;
    FONT_TOTAL   =20;

    HTML_FILE           =0;
    HTML_BUF            =1;
    HTML_FILE_DLG       =2;

    STRONG = $2;
    EMPHASIZE = $1;
    CITE = $1;

    PICT_UNKNOWN        =0;
    PICT_BMP            =1;
    PICT_GIF            =2;
    PICT_WMF            =3;
    PICT_TIFF           =4;
    PICT_JPG            =5;
    PICT_PNG            =6;
    PICT_NONE           =7;


    METHOD_GET          =0;
    METHOD_POST         =1;

    FTYPE_TEXT            =0;
    FTYPE_RADIO           =1;
    FTYPE_SUBMIT          =2;
    FTYPE_RESET           =3;
    FTYPE_TEXTAREA        =4;
    FTYPE_CHECKBOX        =5;
    FTYPE_HIDDEN          =6;
    FTYPE_PASSWORD        =7;
    FTYPE_IMAGE           =8;
    FTYPE_SELECT          =9;

    PARA_LIST_NONE        =0;
    PARA_LIST_OL          =1;
    PARA_LIST_UL          =2;
    PARA_LIST_DIR         =3;
    PARA_LIST_MENU        =4;
    PARA_LIST_DL          =5;

    PARA_BLOCKQUOTE       =1;
    PARA_ADDRESS          =2;
    PARA_HR               =3;
    PARA_PRE              =4;

    PARA_FORM          =$1000;
    PARA_BEGIN_LI      =$2000;
    PARA_DT            =$4000;

    TERM_DT               =1;
    TERM_DD               =2;

    RFLAG_NO_HDR          =$1;

    HFLAG_OUTPUT_DEF_FONT =$1;
    HFLAG_NO_TAG_FONT     =$2;
    HFLAG_NO_PICT_PATH    =$4;
    HFLAG_NO_DIV          =$8;
    HFLAG_SAVE_CELL_WIDTH =$10;
    HFLAG_NO_FORM_SHADING =$20;
    HFLAG_NO_TOGGLE_MSG   =$40;
    HFLAG_FIXED_VSCROLL   =$80;
    HFLAG_PRESERVE_SPACES =$100;
    HFLAG_SAVE_PICT_AS_WMF =$200;
    HFLAG_NO_SCRIPT       = $400;
    HFLAG_ROUND_BULLET    = $800;
    HFLAG_NO_SPAN_TAG     = $1000;
    HFLAG_WRITE_LINK_STYLE = $2000;
    HFLAG_NO_INTERNET     = $4000;
    HFLAG_NO_HEAD         = $8000;
    HFLAG_NO_BODY         = $10000;
    HFLAG_NO_FONT         = $20000;
    HFLAG_NO_STYLE        = $40000;
    HFLAG_NO_LIST_MARGIN  = $80000;
    HFLAG_OUTPUT_DEF_FONTSIZE = $100000;
    HFLAG_OUTPUT_DEF_FONTCOLOR = $200000;
    HFLAG_NO_XLATE_LINK   =  $400000;
    HFLAG_NO_HTML         = $800000;
    HFLAG_SAVE_CELL_WIDTH_PCT  = $8000000;
    HFLAG_SET_CELL_SPACE     = $10000000;
    HFLAG_WRITE_NUM_CHAR_CODE = $40000000;

    HFLAG2_DOCTYPE            = $1;          // write the DOCTYPE tag
    HFLAG2_WRITE_OBJECT       = $4;
    HFLAG2_WRITE_OBJECT_PARAM = $8;
    HFLAG2_SKIP_HREF          = $10;         // ignore links in the html input
    HFLAG2_OLD_HLINK          = $20;         // support old type of hlink (hidden text/phrase pair)
    HFLAG2_FLASH_SUPPORT      = $40;         // generate html to support flash
    HFLAG2_CATCH_ERRORS       = $80;         // catch crash errors
    HFLAG2_XLATE_SINGLE_QUOTE = $100;        // write single quote as &#39;
    HFLAG2_KEEP_ROW_TOGETHER  = $200;        // keep table row together
    HFLAG2_XLATE_QUOTE        = $400;        // translate to simple quote charcter while reading 
    HFLAG2_SAVE_PICT_AS_BMP   = $800;        // save embedded pictures as bmp in when writing html
    HFLAG2_WRITE_DIR          = $1000;       // always write the dir= tag for the div tag
    HFLAG2_DONT_POSITION_OBJECTS = $2000;    // don't position objects
    HFLAG2_NO_CRLF            = $4000;       // don't output cr/lr 

    TAG_EMPTY            =0;
    TAG_CELL_QFN         =1;
    TAG_PICT_SIZE        =2;
    TAG_META             =3;
    TAG_PICT_USEMAP      =4;
    TAG_USER             =5;

    HALIGN_LEFT          =3;
    HALIGN_RIGHT         =4;

{****************************************************************************
   Menu command contants
*****************************************************************************}

    HTM_FIRST_COMMAND  =12098;
    HTM_PRINT_PREVIEW  =12098;
    HTM_COPY           =12099;
    HTM_SAVE           =12100;
    HTM_SAVE_AS        =12101;
    HTM_NEW            =12102;
    HTM_OPEN           =12103;
    HTM_EDITOR         =12104;
    HTM_VIEWER         =12105;
    HTM_SHOW_HIDDEN    =12106;
    HTM_SHOW_PARA_MARK =12107;
    HTM_FONTS       =12108;
    HTM_LINK        =12109;
    HTM_PRINT       =12110;
    HTM_REFORMAT    =12111;

    HTM_FIRST_EDIT_COMMAND =12112;
    HTM_HDR1        =12112;
    HTM_HDR2        =12113;
    HTM_HDR3        =12114;
    HTM_HDR4        =12115;
    HTM_HDR5        =12116;
    HTM_HDR6        =12117;
    HTM_HDR7        =12118;
    HTM_BLOCKQUOTE  =12119;
    HTM_PRE         =12121;
    HTM_TT          =12122;
    HTM_ADDRESS     =12123;
    HTM_PARA_NORMAL =12124;
    HTM_LEFT        =12125;
    HTM_RIGHT       =12126;
    HTM_CENTER      =12127;
    HTM_JUSTIFY     =12128;
    HTM_BOLD        =12129;
    HTM_ITALIC      =12130;
    HTM_ULINE       =12131;
    HTM_SUPSCR      =12132;
    HTM_SUBSCR      =12133;
    HTM_STRIKE      =12134;
    HTM_CHAR_NORMAL =12135;
    HTM_LIST_OL     =12136;
    HTM_LIST_UL     =12137;
    HTM_LIST_LVL1   =12138;
    HTM_LIST_LVL2   =12139;
    HTM_LIST_LVL3   =12140;
    HTM_LIST_LVL4   =12141;
    HTM_LIST_LVL5   =12142;
    HTM_LIST_LVL6   =12143;
    HTM_LIST_LVL7   =12144;
    HTM_NEW_LIST_ITEM =12145;
    HTM_LIST_DT     =12146;
    HTM_LIST_DD     =12147;
    HTM_EXAMPLE     =12148;
    HTM_KBD         =12149;
    HTM_SAMP        =12150;
    HTM_VAR         =12151;
    HTM_CHAR_TYPE_NORMAL =12152;
    HTM_INSERT_RULE =12153;
    HTM_EDIT_RULE   =12154;
    HTM_INSERT_PICT =12155;
    HTM_INSERT_LINK =12156;
    HTM_EDIT_FORM_ID =12157;
    HTM_PARA_FORM   =12158;
    HTM_SET_FORM_ID =12159;
    HTM_INSERT_TEXT_FIELD   =12160;
    HTM_INSERT_BUTTON_FIELD =12161;
    HTM_INSERT_IMAGE_FIELD  =12162;
    HTM_INSERT_SELECT_FIELD =12163;
    HTM_ADD_SELECT_ITEM     =12164;
    HTM_DEL_SELECT_ITEM     =12165;
    HTM_TBL_CREATE          =12166;
    HTM_TBL_INSERT_ROW      =12167;
    HTM_TBL_APPEND_ROW      =12168;
    HTM_TBL_DELETE_ROW      =12169;
    HTM_TBL_INSERT_COL      =12170;
    HTM_TBL_APPEND_COL      =12171;
    HTM_TBL_DELETE_COL      =12172;
    HTM_CUT                 =12173;
    HTM_FONT_COLOR          =12174;
    HTM_FONT_SIZE           =12175;
    HTM_EDIT_LINK           =12176;
    HTM_TBL_CELL_WIDTH_FLAG =12177;
    HTM_PARA_SPACE          =12178;
    HTM_TBL_CELL_COLOR      =12179;


{****************************************************************************
   Error contants
*****************************************************************************}

    HERR_MEM     =1;
    HERR_INIT    =2;
    HERR_EOF     =3;
    HERR_SYNTAX  =4;
    HERR_IO      =5;
    HERR_OPEN    =6;
    HERR_GIF     =7;
    HERR_LZW     =8;
    HERR_WMF     =9;
    HERR_TIFF   =10;
    HERR_VERSION =11;
    HERR_PICT   =12;
    HERR_FORM   =13;

{****************************************************************************
   Message constants
*****************************************************************************}
    HTS_TITLE = 3274;
    HTS_LINK = 3275;
    HTS_PICTURE = 3276;
    HTS_FORM = 3277;
    HTS_PICT_ID = 3278;
    HTS_BASE = 3279;
    HTS_LINK_URL = 3280;
    HTS_LINK_INFO = 3281;
    HTS_BK_PICT = 3282;
    HTS_INT_LINK  = 3283;
    HTS_FRAME_FILE = 3284;
    HTS_FRAME_NAME = 3285;
    HTS_SAVE_PICTURE = 3286;

